Feature # 403 (Closed): Perseus Book Importer

Importer fails on divisions with no type

11/14/2012 06:38 AM - Luke Murphey

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

Imports fail on 53 works with no type attribute:

reader.importer.PerseusBatchImporter: Exception generated when attempting to process file="52_gk.x

ml" 

Traceback (most recent call last):

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchIm

porter.py", line 326, in process_directory

    if self.__process_file__( os.path.join( root, f) ):

... 7 lines omitted ...

    return func(*args, **kwargs)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 582, in import_xml_document

    divisions = self.import_body_sub_node(body_node, current_state_set)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 968, in import_body_sub_node

    if state.name.lower() == division_type.lower() and state.level is not None:

AttributeError: 'NoneType' object has no attribute 'lower'

Associated revisions

Revision 142 - 11/15/2012 06:55 AM - Luke Murphey

Fixed issue where importer fails on works that have division with no type field. Reference #437.

Revision 142 - 11/15/2012 06:55 AM - Luke Murphey

Fixed issue where importer fails on works that have division with no type field. Reference #437.

Revision 136 - 11/15/2012 06:55 AM - Luke Murphey

Fixed issue where importer fails on works that have division with no type field. Reference #437.

History

#1 - 11/14/2012 06:40 AM - Luke Murphey

- Subject changed from Importer: fails on divisions with no type to Importer fails on divisions with no type

#2 - 11/14/2012 06:41 AM - Luke Murphey

- Parent task set to #403

#3 - 11/15/2012 04:36 AM - Luke Murphey

- Description updated

#4 - 11/15/2012 04:49 AM - Luke Murphey

- Status changed from New to In Progress
#5 - 11/15/2012 08:11 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
